/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the definition of the basic distance measure interface.

*/
#include <TMath.h>

#include "TGNGDistanceMeasure.h"

TGNGDistanceMeasure::TGNGDistanceMeasure() : 
	TObject() 
{}

Double_t TGNGDistanceMeasure::GetDistance(const TGNGDataElement*, 
                        	              const TGNGDataElement*, TGNG*)
{
	printf("TGNGDistanceMeasure base class does not provide a sensible distance measure!\n");
	return TMath::QuietNaN();
}

Double_t TGNGDistanceMeasure::GetApproxDistance(const TGNGDataElement *a, 
	                                            const TGNGDataElement *b, TGNG *gng) 
{ 
	// may not return the correct distance but still adheres to the
	// triangle inequality.
	return GetDistance(a,b,gng); 
}


Bool_t TGNGDistanceMeasure::IsCompatible(const TGNGDataElement*, TGNG*)
{
	printf("TGNGDistanceMeasure base class does not provide a sensible distance measure!\n");
	return kFALSE;
}