/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the definition of the basic GNG unit used by the TGNG class.
*/
#include "TGNGUnit.h"



TGNGUnit::TGNGUnit() :
	TObject(),
	fAccErr(0),
	fPrototype(0),
	fEdges(),
	fAttributes(),
	fCurIdx(-1),
	fLearnInh(0)
{
	fEdges.SetOwner(kFALSE);
	fAttributes.SetOwner(kTRUE);
}

TGNGUnit::TGNGUnit(TGNGDataElement *prototype, Int_t curIdx) :
	TObject(),
	fAccErr(0),
	fPrototype(prototype),
	fEdges(),
	fAttributes(),
	fCurIdx(curIdx),
	fLearnInh(0)
{
	fEdges.SetOwner(kFALSE);
	fAttributes.SetOwner(kTRUE);
}

TGNGUnit::~TGNGUnit()
{
	if (fPrototype != 0)
		delete fPrototype;
	
	fEdges.Clear();

	fAttributes.DeleteAll();
}
