#ifndef TGNGVECTORDATA_H
#define TGNGVECTORDATA_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of the TGNGVectorData class. This class 
is the general purpose 1D vector used as input element to the GNG. The vector
data is stored in the member fVector which is of the ROOT type TVectorD.
*/

#include <TObject.h>
#include <TVectorT.h>
#include <TAttFill.h>

#include "../core/TGNGDataElement.h"

class TGNGVectorData : public TGNGDataElement, public TAttFill 
{
	ClassDef(TGNGVectorData,2);

public:

	TGNGVectorData();
	TGNGVectorData(Int_t dim, TObject *payload = 0);
	~TGNGVectorData();

	// should return new data element that is an interpolation between this and other by ratio
	TGNGDataElement* Interpolate(const TGNGDataElement *other, Double_t ratio);

	// should adapt the data element towards the other element with given factor
	void Adapt(const TGNGDataElement *other, Double_t factor);

	void PaintElement(TVirtualPad *pad, Double_t xlow, Double_t ylow, Double_t xup, Double_t yup, std::vector<Color_t> *colors);

	void Randomize();

	TVectorD fVector; //|| vector data

	TObject *fPayload; //|| some space to put a user defined payload (owned)

};



#endif


