#ifndef TGNGAPPROXEMD_H
#define TGNGAPPROXEMD_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of an approximate earth movers distance 
measure that can be used with the gng.

*/

#include "../core/TGNGDistanceMeasure.h"
#include "../core/TGNGDataElement.h"

class TGNGApproxEMD : public TGNGDistanceMeasure 
{
	ClassDef(TGNGApproxEMD,2);

public:
	TGNGApproxEMD();
	TGNGApproxEMD(Bool_t normalize);

	
	Double_t GetDistance(const TGNGDataElement *a, 
	                     const TGNGDataElement *b, TGNG *gng);
	
	// used to test if measure is compatible to the used data elements
	Bool_t IsCompatible(const TGNGDataElement *a, TGNG *gng);

	void SetNormalize(Bool_t normalize);

	Bool_t GetNormalize();

private:

	Bool_t fNormalize;

};



#endif


