#ifndef TGNGACTIVITYEXT_H
#define TGNGACTIVITYEXT_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of an extension that assigns an overall activity
to the gng.
*/

#include <TObject.h>
#include <TObjString.h>

#include "../../core/TGNGExtension.h"

class TGNGActivity : public TObject
{
	ClassDef(TGNGActivity,1);

public:
	TGNGActivity() : 
		TObject(),
		d1(0),
		d2(0),
		a1(0)
	{}

	Double_t d1; // distance to BMU
	Double_t d2; // distance to second BMU

	Double_t a1; // distance ratio

};

class TGNGActivityExt : public TGNGExtension 
{
	ClassDef(TGNGActivityExt,1);

public:

	TGNGActivityExt();

	void OnGNGInit(TGNG *gng);

	void OnPeekResult(TGNG                  *gng, 
	                  TGNGUnit              *bmu, 
	                  Double_t               bmuDist,
	                  TGNGUnit              *bmu2,
	                  Double_t               bmu2Dist, 
	                  const TGNGDataElement *input);
	
	void OnFeedResult(TGNG                  *gng, 
	                  TGNGUnit              *bmu, 
	                  Double_t               bmuDist,
	                  TGNGUnit              *bmu2,
	                  Double_t               bmu2Dist, 
	                  const TGNGDataElement *input);

private:

	void NewInput(TGNG *gng, TGNGUnit *u1, Double_t d1, TGNGUnit *u2, Double_t d2);

	TObjString fIdentifier; // contains the string "ACTIVITY"

};



#endif


