#ifndef TGNGIDEXT_H
#define TGNGIDEXT_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of an extension that assigns a unique ID to
each gng unit.
*/

#include <TObject.h>
#include <TObjString.h>

#include "../../core/TGNGExtension.h"

class TGNGId : public TObject
{
	ClassDef(TGNGId,1);

public:
	TGNGId() : 
		TObject(),
		fID(0)
	{}

	TGNGId(UInt_t id) : 
		TObject(),
		fID(id)
	{}

	UInt_t fID;

};

class TGNGIdExt : public TGNGExtension 
{
	ClassDef(TGNGIdExt,1);

public:

	TGNGIdExt();

	void OnGNGReset(TGNG *gng);
	void OnNewUnit(TGNG *gng, TGNGUnit *newUnit);

	UInt_t GetNrOfIDs();

private:

	UInt_t     fNextFreeID; // next free ID that will be given to a unit
	TObjString fIdentifier; // contains the string "ID"
};



#endif


