#ifndef TGNGLISHFEEDEXT_H
#define TGNGLISHFEEDEXT_H

/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

The use of this code for military and/or intelligence purposes is disapproved of.

This file contains the declaration of a helper extension that allows to feed
the local input space histograms within a gng as data-vectors into a second
gng, i.e., the second gng is used to quantize the local input space histograms
of the first gng.
*/

#include <TObjString.h>

#include "../../core/TGNGExtension.h"

class TNG;

class TGNGLishFeedExt : public TGNGExtension
{
	ClassDef(TGNGLishFeedExt,3);

	// v3: reflecting changes in TGNGExtension

public:

	TGNGLishFeedExt();
	TGNGLishFeedExt(TGNG *receiver, Int_t delay);

	void OnFeedResult(TGNG *gng, TGNGUnit *bmu, Double_t bmuDist, 
		              TGNGUnit *bmu2, Double_t bmu2Dist, const TGNGDataElement *input);

	void OnGNGReset(TGNG *gng);

	void SetReceiver(TGNG *receiver, Int_t delay);

private:

	TGNG *fReceiver;

	TObjString lishKey;

	Int_t fDelay;
	Int_t fInpCnt;
};



#endif



