/*
FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
License: Creative Commons Attribution-Noncommercial-Share Alike 4.0 International, 
         see README file that comes with this work
Author: J. Kerdels

This macro loads and compiles all files required to use the TGNG component.

Use either

.x tgng_load.C

or

.x tgng_load.C("+")

in the root command line to load and compile TGNG. The latter command forces
compilation wether or not the src files have changed.

*/

void tgng_load(const char *addon = "")
{
	gROOT->ProcessLine(Form(".L src/tools/Wavelet.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/tools/EMD.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TGNGDataElement.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TGNGDistanceMeasure.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TGNGEdge.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/vis/TGNGVisEdge.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TGNGUnit.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TGNG.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TGNGP.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TNGUnit.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TNG.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/core/TGNGExtension.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/functional/TGNGIdExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/cluster/TGNGSimpleClusterExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/cluster/TGNGHcNode.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/cluster/TGNGHierarchicalClusterExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/log/TGNGLogExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/log/TGNGUnitLoggerExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/log/TGNGFullLoggerExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/log/TGNGInpLogItem.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/log/TGNGInpLogAttr.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/log/TGNGInputLogExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/datatypes/TGNGVectorData.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/datatypes/TGNGRecursiveData.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/datatypes/TGNGHistData.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/distmeasures/TGNGMinkowskiDistance.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/distmeasures/TGNGCosineDistance.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/distmeasures/TGNGApproxEMD.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/vis/TGNGVector2DVis.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/vis/TGNGRecursive2DVis.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/vis/TGNGEadesVis.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/vis/TGNGFruReVis.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/vis/TGNGMatrixVis.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/vis/TGNGUnitVis.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/vis/TGNGHiClusterVis.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/functional/TGNGLishExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/log/TGNGDistStat.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/functional/TGNGLishFeedExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/functional/TGNGActivityExt.cpp+%s",addon));
	gROOT->ProcessLine(Form(".L src/extensions/log/TGNGRecLogExt.cpp+%s",addon));
}


